### Enumeration

# GUsb DeviceRecipient

#### Declaration

    enum GUsb.DeviceRecipient

#### Description

The message recipient.

#### Members

`G_USB_DEVICE_RECIPIENT_DEVICE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`G_USB_DEVICE_RECIPIENT_INTERFACE`

  No description available.

  - Value: `1`
  - Available since: 1.0
`G_USB_DEVICE_RECIPIENT_ENDPOINT`

  No description available.

  - Value: `2`
  - Available since: 1.0
`G_USB_DEVICE_RECIPIENT_OTHER`

  No description available.

  - Value: `3`
  - Available since: 1.0